Update Scenario

Update Scenario
Update scenario

Update scenario

Request
URI
PUT
https://{api_host}/suite-api/api/whatif/scenarios
COPY
Request Body

Scenario to update

WhatIfScenario of type(s) application/json
Required

Show optional properties

{
    "actionType": "string",
    "contentType": "string",
    "name": "string",
    "whatIfScenarioStatus": "string"
}
"{\n  \"name\" : \"Add capacity scenario\",\n  \"actionType\" : \"ADD\",\n  \"contentType\" : \"WORKLOAD\",\n  \"workloadCapacityLocation\" : {\n    \"dataCenterId\" : \"5cd97c63-22cf-444c-bb82-1b47c5d79812\",\n    \"clusterId\" : \"f4d9a9ee-dfac-4e8c-a402-2b200674db00\"\n  },\n  \"scenarioContent\" : {\n    \"manualVmConfig\" : {\n      \"count\" : 2,\n      \"cpu\" : 1,\n      \"memory\" : 1,\n      \"storage\" : 1,\n      \"commonUtilization\" : 1.0,\n      \"vmInstanceOS\" : \"LINUX\"\n    },\n    \"commonUtilizationGrowthRate\" : 5\n  },\n  \"startDate\" : 1719385200000,\n  \"whatIfScenarioStatus\" : \"SAVED\"\n}"
string
actionType
Required

Scenario ActionType

Possible values are : ADD, REMOVE, MIGRATE_VMC, MIGRATE, MIGRATE_PRIVATE,
string
contentType
Required

Scenario ContentType

Possible values are : WORKLOAD, HCI_WORKLOAD, CAPACITY, HCI_CAPACITY,
integer As int64 As int64
creationDate
Optional

Scenario creation date

integer As int64 As int64
endDate
Optional

Scenario end date

string As uuid As uuid
id
Optional

Scenario id

string
name
Required

Scenario name

object
privateCloudMigrationDetails
Optional

Represents datacenter details for migrating workload between different datacenters

object
publicCloudMigrationDetails
Optional

Represents cloud details for migrating workload to different clouds

object
scenarioContent
Optional

Scenario content for migrate workload scenario

object
serverDetail
Optional

Represents server config for adding any host

integer As int64 As int64
startDate
Optional

Scenario start date

string
state
Optional

Scenario State

Possible values are : ACTIVE, SEMI_COMPLETED, COMPLETED,
string
whatIfScenarioStatus
Required

Scenario Status

Possible values are : SAVED, COMMITTED,
object
workloadCapacityLocation
Optional

Represents a location for adding/removing workload vm or host

Authentication
This operation uses the following authentication methods.
Responses
200

Update scenario

Returns WhatIfScenario of type(s) application/json
"{\n  \"name\" : \"Add capacity scenario\",\n  \"actionType\" : \"ADD\",\n  \"contentType\" : \"WORKLOAD\",\n  \"workloadCapacityLocation\" : {\n    \"dataCenterId\" : \"5cd97c63-22cf-444c-bb82-1b47c5d79812\",\n    \"clusterId\" : \"f4d9a9ee-dfac-4e8c-a402-2b200674db00\"\n  },\n  \"scenarioContent\" : {\n    \"manualVmConfig\" : {\n      \"count\" : 2,\n      \"cpu\" : 1,\n      \"memory\" : 1,\n      \"storage\" : 1,\n      \"commonUtilization\" : 1.0,\n      \"vmInstanceOS\" : \"LINUX\"\n    },\n    \"commonUtilizationGrowthRate\" : 5\n  },\n  \"startDate\" : 1719385200000,\n  \"whatIfScenarioStatus\" : \"SAVED\"\n}"
string
actionType
Required

Scenario ActionType

Possible values are : ADD, REMOVE, MIGRATE_VMC, MIGRATE, MIGRATE_PRIVATE,
string
contentType
Required

Scenario ContentType

Possible values are : WORKLOAD, HCI_WORKLOAD, CAPACITY, HCI_CAPACITY,
integer As int64 As int64
creationDate
Optional

Scenario creation date

integer As int64 As int64
endDate
Optional

Scenario end date

string As uuid As uuid
id
Optional

Scenario id

string
name
Required

Scenario name

object
privateCloudMigrationDetails
Optional

Represents datacenter details for migrating workload between different datacenters

object
publicCloudMigrationDetails
Optional

Represents cloud details for migrating workload to different clouds

object
scenarioContent
Optional

Scenario content for migrate workload scenario

object
serverDetail
Optional

Represents server config for adding any host

integer As int64 As int64
startDate
Optional

Scenario start date

string
state
Optional

Scenario State

Possible values are : ACTIVE, SEMI_COMPLETED, COMPLETED,
string
whatIfScenarioStatus
Required

Scenario Status

Possible values are : SAVED, COMMITTED,
object
workloadCapacityLocation
Optional

Represents a location for adding/removing workload vm or host


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"actionType":"string","contentType":"string","name":"string","whatIfScenarioStatus":"string"}' https://{api_host}/suite-api/api/whatif/scenarios